package it.fbk.sra.ejade.actions;

import it.fbk.sra.ejade.EjadePlugin;
import it.fbk.sra.ejade.platform.IPlatform;
import it.fbk.sra.ejade.platform.JADEPlatform;
import it.fbk.sra.ejade.platform.JADEXPlatform;
import it.fbk.sra.ejade.preferences.PreferenceConstants;

import org.eclipse.jface.action.IAction;
import org.eclipse.jface.viewers.ISelection;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.IWorkbenchWindowActionDelegate;

public class Shutdown implements IWorkbenchWindowActionDelegate {

	public void dispose() {

	}

	public void init(IWorkbenchWindow window) {

	}

	public void run(IAction action) {
		IPlatform platform;
		if (EjadePlugin.getDefault().getPlatform().endsWith(PreferenceConstants.PLATFORM_JADE)){
			platform = new JADEPlatform();
 		} else {
 			platform = new JADEXPlatform();
 		}
		platform.shutdown();
		EjadePlugin.getDefault().setReady(false);
	}

	public void selectionChanged(IAction action, ISelection selection) {
	}

}
