package it.fbk.sra.ejade.preferences;

import it.fbk.sra.ejade.EjadePlugin;
import it.fbk.sra.ejade.util.CommonUtil;

import org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer;
import org.eclipse.jface.preference.IPreferenceStore;

public class PreferenceInitializer extends AbstractPreferenceInitializer {

	@Override
	public void initializeDefaultPreferences() {
		IPreferenceStore store = EjadePlugin.getDefault().getPreferenceStore();
		store.setDefault(PreferenceConstants.P_HOST, "localhost");
		
		store.setDefault(PreferenceConstants.USE_RANDOM_MTP_PORT, true);
		store.setDefault(PreferenceConstants.P_MTP_PORT, "7778");
		
		store.setDefault(PreferenceConstants.P_PORT, "1099");
		store.setDefault(PreferenceConstants.EJADE_HOME, CommonUtil.getPluginPath().toOSString());
		
		store.setDefault(PreferenceConstants.USE_USER_DEFINED, false);
		store.setDefault(PreferenceConstants.USER_DEFINED_PARAMS, " -port 1099 -jade_mtp_port 7778 -detect-main false");
		
		store.setDefault(PreferenceConstants.PLATFORM, PreferenceConstants.PLATFORM_JADE);
		
		store.setDefault(PreferenceConstants.PLATFORM_WITH_ECAT, false);
	}

}
